Return all refresh tokens of a setup
GET/v2/modules/:module/setups/:setupId/tokens
Returns a paginated list of refresh tokens for the specified setup. Results can be narrowed down by client entity ID and/or user. Setting latest=true returns only the single most recently expiring token for the given client and user combination, which is useful for checking whether a valid session still exists.
Request
Path Parameters
module stringrequired
setupId stringrequired
Query Parameters
client-entity-id string
user string
lang string
latest boolean
page int32
size int32
Responses
- 200
- 204
- 403
A paginated list of refresh tokens matching the given criteria
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
meta object[]
id string
name string
value string
locale string
scopes string[]
claims string
custom_access_token_claims string
custom_id_token_claims string
audience string[]
user stringrequired
issuer string
expiration date-timerequired
value stringrequired
issue_date date-timerequired
authorized_party string
client_id string
client_entity_id string
{
"meta": [
{
"id": "string",
"name": "string",
"value": "string",
"locale": "string"
}
],
"scopes": [
"string"
],
"claims": "string",
"custom_access_token_claims": "string",
"custom_id_token_claims": "string",
"audience": [
"string"
],
"user": "string",
"issuer": "string",
"expiration": "2024-07-29T15:51:28.071Z",
"value": "string",
"issue_date": "2024-07-29T15:51:28.071Z",
"authorized_party": "string",
"client_id": "string",
"client_entity_id": "string"
}
No refresh tokens match the specified filter criteria
The caller is not authorized to list refresh tokens for the specified user or setup
Loading...